package com.eactive.eai.common.message;

import java.io.Serializable;

@SuppressWarnings("serial")
public class CondPerRtgInfo implements Serializable {

	private String ruleGrpNm; 		// 규칙필드그룹명[TSEAIFR01.RuleFldGroupName] - RuleGroupName
	private String ruleColNm; 		// 규칙필드명[TSEAIFR01.RuleFldName] - RuleColumnName
	private String ruleCprTxt;		// 비교내용[TSEAIFR01.CmprCtnt] - ServiceTimeExistenceOrNot - [Y|N]

	private String rsultPrcssNo;	// 결과처리번호[TSEAIFR01.RsultPrcssNo] - ResultProcessNumber

	public CondPerRtgInfo() {
	}

	public CondPerRtgInfo(String rsultPrcssNo, String ruleGrpNm, String ruleColNm, String ruleCprTxt) {
		this.rsultPrcssNo = rsultPrcssNo;
		this.ruleGrpNm = ruleGrpNm;
		this.ruleColNm = ruleColNm;
		this.ruleCprTxt = ruleCprTxt;
	}

	public void setRuleGrpNm(String ruleGrpNm) {
		this.ruleGrpNm = ruleGrpNm;
	}

	public String getRuleGrpNm() {
		return this.ruleGrpNm;
	}

	public void setRuleColNm(String ruleColNm) {
		this.ruleColNm = ruleColNm;
	}

	public String getRuleColNm() {
		return this.ruleColNm;
	}

	public void setRuleCprTxt(String ruleCprTxt) {
		this.ruleCprTxt = ruleCprTxt;
	}

	public String getRuleCprTxt() {
		return this.ruleCprTxt;
	}

	public String getRsultPrcssNo() {
		return this.rsultPrcssNo;
	}

	public void setRsultPrcssNo(String rsultPrcssNo) {
		this.rsultPrcssNo = rsultPrcssNo;
	}
}
